fid = fopen('new5.raw','r'); % Open the binary file for reading with file pointer fid
[data,count] = fread(fid, 'uchar'); % Scan the data into a vector, in this case called data
fclose(fid); % Close the file

cmptNum = 4;

color = reshape(data,cmptNum,count/cmptNum);
color = color';

for i=1:512
    for j=1:512
        tmp = color((i-1)*512+j,:);
        imageMatrix(i,j,1:3) = tmp(1:3)/255;
    end
end

image(imageMatrix)